%define basever 1.3.1

Name:    cuetools
Version: 1.4.0
Release: 1.3
Summary: Utilities to work with cue and TOC files
Group:   Applications/Multimedia
License: GPLv2
URL:     http://developer.berlios.de/projects/cuetools/
Source0: http://download.berlios.de/cuetools/%{name}-%{basever}.tar.gz
Patch0:  %{name}-%{basever}-svn305-fixes.patch.bz2
Patch1:  0001-cuetag.sh-Fix-metaflac-options-for-flac-1.1.3.patch
Patch2:  0002-cuetag.sh-Fix-handling-of-files-with-spaces.patch
Patch3:  0003-cuetag.sh-Correct-typo-in-error-output.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Cuetools is a set of utilities for working with cue files and TOC files.
It includes programs for conversion between the formats, file renaming based
on cue/TOC information, and track breakpoint printing. 

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%setup -q -n %{name}-%{basever}
%patch0 -p1
%patch1 -p1 -b .metaflac
%patch2 -p1 -b .spaces
%patch3 -p1 -b .typo

%build
%configure

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

mkdir -p %{buildroot}%{_includedir}/%{name}
cp -a %{_builddir}/%{name}-%{basever}/src/lib/*.h %{buildroot}%{_includedir}/%{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc NEWS README TODO COPYING doc/formats.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/%{name}
%{_libdir}/libcuefile.so

%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
